PLSENSE(1)

NAME
plsense - Omni completion tool for Perl

SYNOPSIS
plsense [Option] [Command] argument...

plsense [Option] -i

DESCRIPTION
PlSense is a development tool for Perl. PlSense provides Completion/Help about Module/Function/Variable optimized for context.

OPTIONS

--logfile
    Path of log file.

--loglevel
    Level of logging. Its value is for Log::Handler.

--maxtasks
    Limit count of task that run on server process.

--port1
    Port number for listening by main server process. Default is 33333.

--port2
    Port number for listening by work server process. Default is 33334.

--port3
    Port number for listening by resolve server process. Default is 33335.

-c, --cachedir
    Path of directory caching information for Completion/Help.

-h, --help
    Show this message.

-i, --interactive
    Run interactively.

-v, --version
    Show vertion.

COMMANDS

a, assist [Code]
    Do assist about Code.

ahelp, assisthelp [Cand]
    Show help about Cand of last assist.

c, codeadd [Code]
    Add source to current location.

chelp, codehelp [Code]
    Show help about Code.

config
    Update configuration about plsense.

debuglex [Code/File]
    Show the PPI::Lexer layout as result of parsing Code/File for debugging.

debugmod [File/Module]
    Show detail of File/Module for debugging.

debugrt [Regexp]
    Show routing matched by Regexp for debugging.

debugstk
    Show quantity of stocked on server process for debugging.

debugsubst [Regexp]
    Show substitute matched by Regexp for debugging.

explore [Regexp]
    Show the packages matched by Regexp and their methods.

fhelp, subhelp [Sub] [Module]
    Show help about Sub of Module.

help [Command]
    Show detail help about Command.

loc, location
    Show current location.

loglevel [Level] [Server]
    Update the log level to Level about the logging of Server.

mhelp, modhelp [Module]
    Show help about Module.

o, open [File/Module]
    Open File/Module.

onf, onsub [Sub]
    Set current location by Sub for assist.

onfile [File]
    Set current location by File for assist.

onmod [Module]
    Set current location by Module for assist.

ps  Show task list that is running on server process.

queue
    Show stack of task that is not yet running on server process.

ready [File/Module]
    Show status of File/Module.

refresh
    Refresh server process.

remove [File/Module]
    Remove the cached information about File/Module.

removeall
    Remove all cached information.

subinfo [Code]
    Show signature of the method detected by Code.

svstart, serverstart
    Start server process.

svstat, serverstatus
    Show server process status.

svstop, serverstop
    Stop server process.

u, update [File/Module]
    Update File/Module.

vhelp, varhelp [Var] [Module]
    Show help about Var of Module.

AUTHOR
Hiroaki Otsu <ootsuhiroaki at gmail.com>

This manual page was written by KURASHIKI Satoru <lurdan@gmail.com>, for the Debian project (but may be used by others).

SEE ALSO
plsense (3)